### Function

# Gtk tree_create_row_drag_content

#### Declaration [src]

    GdkContentProvider*
    gtk_tree_create_row_drag_content (
      GtkTreeModel* tree_model,
      GtkTreePath* path
    )

#### Description [src]

Creates a content provider for dragging `path` from `tree_model`.

#### Parameters

`tree_model` | `GtkTreeModel`
| A `GtkTreeModel`.
| The data is owned by the caller of the function.
`path` | `GtkTreePath`
| A row in `tree_model`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GdkContentProvider*`
| A new `GdkContentProvider`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.